﻿@model MyApp.Web.ViewModels.LoginViewModel
@using OpenPlatform.General.Extensions;

@{
    ViewBag.Title = @MyApp.Web.Resources.EVAResource.WebsiteTitle;
}
<div class="row">
    <div class="span12">
        <h2>@MyApp.Web.Resources.EVAResource.Login</h2>
    </div>
</div>

@using (Html.BeginForm("Login", "Account", FormMethod.Post, new { @class = "" }))
{
    <div class="well">

        <div class="form-group">
            @Html.LabelFor(x => x.EmailAddress)

            @Html.TextBoxFor(m => m.EmailAddress, new { MaxLength = "100" })
            @Html.ValidationMessageFor(m => m.EmailAddress)
        </div>
        <div class="form-group">
            @Html.LabelFor(x => x.Passphrase)
            @Html.PasswordFor(m => m.Passphrase, new { MaxLength = "100" })
            @Html.ValidationMessageFor(m => m.Passphrase)
        </div>
        <div class="form-group">
            @Html.LabelFor(x => x.Captcha)
            @Html.TextBoxFor(m => m.Captcha, new { MaxLength = "10" })
            <img src="/Account/GetCaptchaImage?enid=@Model.EncryptedCaptcha&cachecode=@DateTime.Now.Ticks&rnd=@Model.RandomInt" class="captchimage" />
            @Html.ValidationMessageFor(m => m.Captcha)
             @Html.HiddenFor(x => x.EncryptedCaptcha)
        </div>

        <div class="form-group">
            @Html.SubmitButton(@MyApp.Web.Resources.EVAResource.Loginbutton)
        </div>

      <p>Don't have an account? Don't worry - @Html.ActionLink(@MyApp.Web.Resources.EVAResource.createanewaccount, "CreateAccount")</p>
        <p>Forgotten you passphrase? - @Html.ActionLink(@MyApp.Web.Resources.EVAResource.helpwithaccountproblems, "ForgottenPassPhrase")</p>
       
         @*@{int scale = 5;}
        <br/>
        <img src="/Account/GetQrCode?scale=@scale.Encrypt()&ticks=@DateTime.Now.Ticks" />*@
     </div>
  
    <a href="Account/TempLogin">Temp login</a>
}

